#include "static.h"
#include <stdio.h>

int var_glob_extern = 2; /* se in un file esterno viene dichiarato "extern int var_glob_extern", e poi in fase di link si usa l'oggetto ottenuto compilando questo file, allora il file esterno puo' leggere e modificare questa variabile */
int var_glob_extern2; /* idem */

static int var_glob_static = 20; /* contrariamente alla variabile di cui sopra, puo' essere usata solo in questo file (o da chi lo include) */
static int var_glob_static2 = 30; /* idem */

/* extern */ void f_outside() /* metterlo o no e' uguale */
{
  static int times_called = 0;
  times_called++;
  printf("times called: %d\n", times_called);
  
  var_glob_static = 200;
  var_glob_static2 = 100;
  var_glob_extern = 100;
  f_only_here();
}

static void f_only_here()
{
  var_glob_static++;
  var_glob_extern--;
  var_glob_static2 += 1000;
}
